# Configuration

## config.lua

### Framework

```lua
Config.Framework = "qb" --> Your Framework | esx or qb
Config.FrameworkScriptName = "qb-core" --> The name of the framework script
```

### Style Options

```lua
Config.Style = "default" --> The Style folder name

Config.StyleOptions = { --> The names of the images that you will use
    Point = 'point',
    Key = 'key',
    Selected = 'label',
    Unselected = 'label_no',
    SelectedOpt = 'circle_selected',
    UnselectedOpt = 'circle'
}
```

### Checks Options

```
Config.ResourceChecks = true --> If set to true, only the resource witch added the interact can remote it or edit it

Config.CuffDisable = true --> If set to true people who are cuffed cant see or interact with the menu

Config.VehicleDisable = true --> If set to true people who are inside a car cant see or interact with the menu

Config.DeadDisable = true --> If set to true people who are dead cant see or interact with the menu
```

### Options

You can only have 1 out of  these : `Action, ClientEvent, ServerEvent` options, if there are more than 1, then one of them will be triggered.

{% hint style="danger" %}
IN THE CASE OF MULTIPLE MECHANISMS (`Action, ClientEvent, ServerEvent`) The selection of which will run , goes as follows: (Action -> ServerEvent -> ClientEvent),\
although using more than one option is bad practice.
{% endhint %}

```lua
Config.Options = { --> Table | The Interacts
    {
        Coords = vec3(0.0, 0.0, 0.0), --> Vector3 | The coords of the interact
        Job = nil, --> String | The job that can access the interact
        SeeDist = 10.0, --> Number | The Distance that a player can see the interact
        InteractDist = 1.0, --> Number | The Distance that the player can interact with the menu
        Options = { --> Table | The Options of the Interact
            {
                Label = "I want to Buy", --> String | The Label of the interact
                Action = function() --> Function | The Function that will be triggered when the player presses "E"
                    print("Hello from ip_interact!! 1")
                end,
                ServerEvent = "ip_interact:server:something", --> String | The Name of the Server event that will be triggered when the player presses "E"
                ClientEvent = "ip_interact:client:something" --> String | The Name of the Client event that will be triggered when the player presses "E"
            }
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infinitypulse.dev/3d-text-ui/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
